Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# dblink_error_message

## Name

dblink_error_message -- gets last error message on the named connection

## Synopsis

    dblink_error_message(text connname) returns text

## Description

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

`dblink_error_message` fetches the most recent remote error message for a given connection.

## Arguments

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

`conname`

  Name of the connection to use.

## Return Value

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

Returns last error message, or an empty string if there has been no error in this connection.

## Examples

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

    SELECT dblink_error_message('dtest1');

Prev | Home | Next
dblink_get_connections | Up | dblink_send_query